petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatInitializePackage

This function initializes everything in the Mat package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to MatCreate() when using static libraries.

### Synopsis

    PetscErrorCode  MatInitializePackage(void)

### Keywords

Mat, initialize, package

### See Also

PetscInitialize()

Level:developer
Location:src/mat/interface/dlregismat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages